Bug 1163875 - RedHat domain - OSE automate model initial checkin.
Summary: RedHat domain - OSE automate model initial checkin.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.3.2
Assignee: Tina Fitzgerald
QA Contact: Ramesh A
URL:
Whiteboard:
Depends On: 1163472
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-13 15:48 UTC by Dave Johnson
Modified: 2015-03-23 14:51 UTC (History)
7 users (show)

Fixed In Version: 5.3.2
Doc Type: Bug Fix
Doc Text:
Clone Of: 1163472
Environment:
Last Closed: 2015-01-14 19:43:27 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0028 normal SHIPPED_LIVE Important: cfme security, bug fix, and enhancement update 2015-01-15 00:41:27 UTC

Comment 1 CFME Bot 2014-11-24 16:17:36 UTC
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/f5228d877030dcbba69331b1fad385d9585dca5d

commit f5228d877030dcbba69331b1fad385d9585dca5d
Author:     Tina Fitzgerald <tfitzger@redhat.com>
AuthorDate: Wed Nov 19 17:36:24 2014 -0500
Commit:     Tina Fitzgerald <tfitzger@redhat.com>
CommitDate: Thu Nov 20 15:10:39 2014 -0500

    Dialog seeding changes necessary for the service dialog yaml import.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1163875
    
    Productization requires service dialog import files to be linked into
    the manageiq dialog import folder.
    Changed dialog seeding to accommodate sub-directories and added tests.

 vmdb/app/models/dialog.rb                          |  5 +++-
 vmdb/spec/fixtures/files/dialogs/seed_test.yml     |  0
 .../fixtures/files/dialogs/service_dialog_symlink  |  1 +
 .../dialogs/service_dialogs/service_seed_test.yaml |  0
 .../dialogs/service_dialogs/service_seed_test.yml  |  0
 .../subdirectory/subdirectory_seed_test.yaml       |  0
 .../subdirectory/subdirectory_seed_test.yml        |  0
 vmdb/spec/models/dialog_spec.rb                    | 31 +++++++++++++++++++---
 8 files changed, 32 insertions(+), 5 deletions(-)
 create mode 100644 vmdb/spec/fixtures/files/dialogs/seed_test.yml
 create mode 120000 vmdb/spec/fixtures/files/dialogs/service_dialog_symlink
 create mode 100644 vmdb/spec/fixtures/files/dialogs/service_dialogs/service_seed_test.yaml
 create mode 100644 vmdb/spec/fixtures/files/dialogs/service_dialogs/service_seed_test.yml
 create mode 100644 vmdb/spec/fixtures/files/dialogs/subdirectory/subdirectory_seed_test.yaml
 create mode 100644 vmdb/spec/fixtures/files/dialogs/subdirectory/subdirectory_seed_test.yml

Comment 3 Tina Fitzgerald 2014-12-11 19:27:20 UTC
Checked in changes to create the missing service_dialogs directory and removed the extra copy of the ose_installer_dialogs.yaml file from the service_dialogs folder. File is now located in the service_dialogs/red_hat directory.

Comment 4 CFME Bot 2014-12-16 15:20:26 UTC
New commit detected on cfme/5.3.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=785c6659228379f387ccce6daa2dba2caf2c071b

commit 785c6659228379f387ccce6daa2dba2caf2c071b
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Dec 15 19:48:52 2014 -0500
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Mon Dec 15 19:48:52 2014 -0500

    Dialog seeding changes necessary for the service dialog yaml import.
    
    Productization requires service dialog import files to be linked into
    the manageiq dialog import folder.
    Changed dialog seeding to accommodate sub-directories and added tests.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1163875

 vmdb/app/models/dialog.rb                          |  5 +++-
 vmdb/spec/fixtures/files/dialogs/seed_test.yml     |  0
 .../fixtures/files/dialogs/service_dialog_symlink  |  1 +
 .../dialogs/service_dialogs/service_seed_test.yaml |  0
 .../dialogs/service_dialogs/service_seed_test.yml  |  0
 .../subdirectory/subdirectory_seed_test.yaml       |  0
 .../subdirectory/subdirectory_seed_test.yml        |  0
 vmdb/spec/models/dialog_spec.rb                    | 31 +++++++++++++++++++---
 8 files changed, 32 insertions(+), 5 deletions(-)
 create mode 100644 vmdb/spec/fixtures/files/dialogs/seed_test.yml
 create mode 120000 vmdb/spec/fixtures/files/dialogs/service_dialog_symlink
 create mode 100644 vmdb/spec/fixtures/files/dialogs/service_dialogs/service_seed_test.yaml
 create mode 100644 vmdb/spec/fixtures/files/dialogs/service_dialogs/service_seed_test.yml
 create mode 100644 vmdb/spec/fixtures/files/dialogs/subdirectory/subdirectory_seed_test.yaml
 create mode 100644 vmdb/spec/fixtures/files/dialogs/subdirectory/subdirectory_seed_test.yml

Comment 5 Ramesh A 2014-12-30 16:58:36 UTC
Hi Tina,

Can you please provide more info on how to test this issue.

Thanks,
Ramesh

Comment 8 Dave Johnson 2015-01-07 22:38:16 UTC
Marianne, bug 1101054 track the documentation side so I think we are covered here, right?

Comment 9 Marianne Feifer 2015-01-08 13:41:02 UTC
That's my understanding, but I'm adding adhams to this

Comment 10 Andrew Dahms 2015-01-08 14:47:42 UTC
Hi Marianne - sounds good to me.

Comment 12 Dave Johnson 2015-01-13 15:00:46 UTC
Model is in and working to a degree, we started opening separate bugs...

https://bugzilla.redhat.com/show_bug.cgi?id=1179967
https://bugzilla.redhat.com/show_bug.cgi?id=1179959
https://bugzilla.redhat.com/show_bug.cgi?id=1179957

Marking as verified against 5.3.2.06

Comment 14 errata-xmlrpc 2015-01-14 19:43:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0028.html


Note You need to log in before you can comment on or make changes to this bug.